Subject: Re: [BUG] Mojibake in git gui and gitk for certain unicode chars

From: Tobias Getzner <[email-masked]>
Date: Thu, 22 Jan 2015 13:18:22 +0100

On Do, 2015-01-22 at 12:43 +0100, Tobias Getzner wrote:
> Hello,
> 
> I’ve noticed git gui and gitk seem to have problems decoding certain
> unicode characters. E.g., when a commit contains the character «👍»
> (thumbs up sign; U+1F44D) in UTF-8 encoding, this character will show
> as «ð» in gitk. 

> I’ve noticed a perhaps related glitch when the options in git gui is
> shown. My committer name contains the character «ß» (latin small letter
> sharp s; U+00DF). The text field in the options dialog displays this as
> «Ã»,

I suppose that some of the mojibake characters in the message might
have been stripped out of the message because they are control chars.
So, «👍» was rendered as «ð\x9f\x91\x8d». «ß» was rendered as «Ã\x9f».